#
# Bindings for Gridth
#

set Bindings(Grid,X) 	{Grid_X	{th_[winfo class %W]_toggle_grid_x %W %XP}}
set Bindings(Grid,Y) 	{Grid_Y	{th_[winfo class %W]_toggle_grid_y %W %YP}}


# th_bind.tcl needs this to set up the Function menu and Key label.
set Local_Bindings {Grid_X Grid_Y}


set TH_Bindings_Help {
Grid Functions

Gridth can bring up optional grids to display line or column numbers. Pressing
Meta-x brings up a grid of column numbers above a listbox, text, or entry
widget, pressing Meta-x again causes the grid to disappear. And pressing Meta-y
key brings up a grid of line numbers to the left of a text or listbox widget,
which scrolls along with the widget to keep the line numbers accurate, and
disappears when Meta-y is pressed again.

Toggle:	X Grid:		Meta-x
	Y Grid:		Meta-y
}
